﻿@model EmpoyeesApp.Models.EmployeeModel.EmployeeDiagrams;
@{
    Layout = "_Layout";

    var XLabels = Newtonsoft.Json.JsonConvert.SerializeObject(Model.EmployeesBySex.Select(x => x.Label).ToList());
    var YValues = Newtonsoft.Json.JsonConvert.SerializeObject(Model.EmployeesBySex.Select(x => x.Value).ToList());
    var XLabelsByYear = Newtonsoft.Json.JsonConvert.SerializeObject(Model.EmployeesByYears.Select(x => x.Label).ToList());
    var YValuesByYear = Newtonsoft.Json.JsonConvert.SerializeObject(Model.EmployeesByYears.Select(x => x.Value).ToList());
}
<!DOCTYPE html>

<html>
<head>
    <title>Employee's List</title>
</head>
<body>
    <div class="row">
        <div class="chart-container">
            <br />
            <div class="col-md-6" style="text-align:center">
                <label> Chart by sex</label>
                <canvas id="chartBySex" style="width:80%; height: 250px"></canvas>
            </div>
            <div class="col-md-6" style="text-align:center">
                <label> Chart by years</label>
                <canvas id="chartByYears" style="width:80%; height: 250px"></canvas>
            </div>
        </div>
    </div>
</body>
</html>

<script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.7.2/Chart.bundle.min.js"></script>

@section scripts {
<script>
    $(document).ready(function () {
        var dynamicColors = function () {
            var r = Math.floor(Math.random() * 255);
            var g = Math.floor(Math.random() * 255);
            var b = Math.floor(Math.random() * 255);
            return "rgb(" + r + "," + g + "," + b + ")";
        };

        function DrawChart(chartName, XLabels, YValues) {
            var color = [];

            var ctx = document.getElementById(chartName).getContext('2d');
            for (var i in XLabels) {
                color.push(dynamicColors());
            }

            data = {
                datasets: [{
                    data: YValues,
                    backgroundColor: color
                }],

                // These labels appear in the legend and in the tooltips when hovering different arcs
                labels: XLabels
            };   

            var PieChart = new Chart(ctx, {
                type: 'pie',
                data: data
            });
        }

        DrawChart("chartBySex",@Html.Raw(XLabels), @Html.Raw(YValues));
        DrawChart("chartByYears",@Html.Raw(XLabelsByYear), @Html.Raw(YValuesByYear));
    });
</script>
}

